Update Solaris patch


 
Thread Tools Search this Thread
Operating Systems Solaris Update Solaris patch
# 1  
Old 01-28-2010
Update Solaris patch

Hi All

I had update the solaris version, and now wish to update the patch.
but when i check my patch version, i cant find any version for that.
any idea?

Code:
root@leo # showrev
Hostname: leo
Hostid: 839b58a3
Release: 5.10
Kernel architecture: sun4u
Application architecture: sparc
Hardware provider: Sun_Microsystems
Domain: 
Kernel version: SunOS 5.10 Generic

root@leo # uname -a
SunOS leo 5.10 Generic sun4u sparc SUNW,Sun-Fire-V490

# 2  
Old 01-28-2010
don't worry about the current. download the latest kernel patch and apply first.
or prior to patching, reboot the stem once to verify.
can you find the patchlog file?
# 3  
Old 01-28-2010
erm... How to find the patchlog ?
# 4  
Old 01-28-2010
Quote:
Originally Posted by SmartAntz
erm... How to find the patchlog ?
You may want to check here:-
/var/sadm/install_data/<patchcluster name>_log
# 5  
Old 01-28-2010
Are you looking for:

Code:
showrev -p

or

Code:
patchadd -p

? I didn't quite get what are you trying to find.
# 6  
Old 02-01-2010
root@leo # showrev -p
Patch: 116298-08 Obsoletes: Requires: Incompatibles: Packages: SUNWxsrt, SUNWxrgrt, SUNWxrpcrt, SUNWjaxp
Patch: 116302-02 Obsoletes: Requires: Incompatibles: Packages: SUNWxrpcrt
Patch: 113886-27 Obsoletes: Requires: Incompatibles: Packages: SUNWglrt, SUNWgldoc, SUNWglrtu, SUNWglsrz, SUNWgldp, SUNWglh, SUNWglsr
Patch: 115209-05 Obsoletes: Requires: Incompatibles: Packages: VRTSob
Patch: 115209-12 Obsoletes: Requires: Incompatibles: Packages: VRTSob
Patch: 115212-05 Obsoletes: Requires: Incompatibles: Packages: VRTSmuob
Patch: 115212-13 Obsoletes: Requires: Incompatibles: Packages: VRTSmuob
Patch: 115212-23 Obsoletes: Requires: Incompatibles: Packages: VRTSmuob
Patch: 115210-05 Obsoletes: Requires: Incompatibles: Packages: VRTSobgui
Patch: 115210-12 Obsoletes: Requires: Incompatibles: Packages: VRTSobgui
Patch: 115210-23 Obsoletes: Requires: Incompatibles: Packages: VRTSobgui
Patch: 115217-01 Obsoletes: Requires: Incompatibles: Packages: VRTSvxvm
Patch: 115217-03 Obsoletes: Requires: Incompatibles: Packages: VRTSvxvm
Patch: 117078-01 Obsoletes: Requires: 115217-03 Incompatibles: Packages: VRTSvxvm
Patch: 115217-05 Obsoletes: Requires: Incompatibles: Packages: VRTSvxvm
Patch: 120585-01 Obsoletes: Requires: 115217-05 Incompatibles: Packages: VRTSvxvm
Patch: 117094-02 Obsoletes: Requires: Incompatibles: Packages: VRTSvmpro
Patch: 117094-03 Obsoletes: Requires: Incompatibles: Packages: VRTSvmpro
Patch: 116684-01 Obsoletes: Requires: Incompatibles: Packages: VRTSfspro
Patch: 116684-02 Obsoletes: Requires: Incompatibles: Packages: VRTSfspro
Patch: 117276-01 Obsoletes: Requires: Incompatibles: Packages: VRTSalloc
Patch: 117276-02 Obsoletes: Requires: Incompatibles: Packages: VRTSalloc
Patch: 117081-01 Obsoletes: Requires: Incompatibles: Packages: VRTSddlpr
Patch: 116688-01 Obsoletes: Requires: Incompatibles: Packages: VRTSvxfs
Patch: 116688-02 Obsoletes: Requires: Incompatibles: Packages: VRTSvxfs, VRTSfsman
Patch: 117274-01 Obsoletes: Requires: Incompatibles: Packages: VRTSllt, VRTSgab, VRTSvxfen, VRTSvcs, VRTSvcsmg, VRTSvcsag, VRTScspro, VRTScssim, VRTScscw, VRTSvcsw
Patch: 113887-27 Obsoletes: Requires: Incompatibles: Packages: SUNWglrtx, SUNWglsrx, SUNWgldpx

---------- Post updated at 10:16 AM ---------- Previous update was at 09:48 AM ----------

Hi all,

after i download the latest "Solaris 10 SPARC Recommended Patch Cluster"
follow the below step is it correct ?
really pressure on doing this...

Code:
#cd / ; sync;sync;sync; init S
# svcadm enable svc:/system/filesystem/local:default
# ./installcluster

is it the correct step?
# 7  
Old 02-02-2010
once you're in single user, just cd to the patch dir.
issue ./installcluster --s10cluster
Login or Register to Ask a Question

Previous Thread | Next Thread

9 More Discussions You Might Find Interesting

1. Solaris

Solaris 10 10/09 (Update 8) Patch upgrade

Solaris 10 10/09 (Update 8) Patch upgrade can be done in single user mode? any suggestions.. thanks (2 Replies)
Discussion started by: chandravadrevu
2 Replies

2. Solaris

Patch update on sunfire 280R sparc for solaris 5.9

Hi, i just finished installing solaris 5.9 and I'm looking for the tools to tell me if i should update the patches or how to make sure that the current patches are ok? thanks (2 Replies)
Discussion started by: lamoul
2 Replies

3. Solaris

sendmail failed after patch update

Hi, I was troubleshooting H/W issue on a Ultra 5 workstation, whereby the system kept rebooting. In the course of isolating the issue, I patched the system with the latest Recommended cluster patch for solaris 7. SInce then, sendmail is not working and am getting the following errors. Kindly check... (6 Replies)
Discussion started by: incredible
6 Replies

4. High Performance Computing

veritas cluster with kernel patch update

hi all, can someone please share their process on how to kernel patch a red hat ent 4 with veritas cluster 5? it's compose of a primary and backup node. the resources are db, disk, nic. it doesn't need to be detail, just give me the steps like: login to the backup node and update the... (0 Replies)
Discussion started by: itik
0 Replies

5. Linux

kernel patch update how to

Hi All, I need to update my redhatas4 kernel with kernel-2.6.9-67.0.20.EL.src.rpm. When I run this # rpm -ivh kernel-2.6.9-67.0.20.EL.src.rpm warning: user brewbuilder does not exist - using root warning: group brewbuilder does not exist - using root warning: user brewbuilder does... (2 Replies)
Discussion started by: itik
2 Replies

6. High Performance Computing

verify patch update

Hi All, If I need to verify my solaris 8 with patch 110910-03 and I query the server below: #showrev -p | grep 'Patch: 110910-' Patch: 110910-01 Obsoletes: Requires: Incompatibles: Packages: SUNWcsu Do I still need to apply the patch if the older 110910-01 patch exist? Please... (5 Replies)
Discussion started by: itik
5 Replies

7. Solaris

patch update with single user mode

Hi All, How do I execute patch update on a single user mode? Please give me the steps by step procedures? Is single user mode the same as run level 1? Thanks. (2 Replies)
Discussion started by: itik
2 Replies

8. Solaris

patch update and break mirror

Hi All, How do you know if you need to break the mirror on solaris 8 patch update? Here's the patch example, 117350-54. On the site, it's just a low type update and not a medium or critical. Is breaking a mirror a best practice only or really a requirement to some patch? Thanks, itik (1 Reply)
Discussion started by: itik
1 Replies

9. Solaris

patch update instructions

Hi All, I need to update my solaris with a particular patch. When reading the instruction on the sun web site, I got this: Installation Requirements: Reboot immediately after installing this patch on an active boot environment to bring the system to a consistent state. An alternative may... (8 Replies)
Discussion started by: itik
8 Replies
Login or Register to Ask a Question

Featured Tech Videos